<template>
  <v-app>
    <v-main>
      <div class="main-wrapper">
        <section class="intro-section">
          <v-container>
            <v-row>
              <v-col cols="12" md="6">
                <div class="intro-content">
                  <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/25f14e6c2fe02a8131e38a0b8a81794500699e6b9167c653ab11decc046bf46b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" alt="Introductory Image" class="intro-image" />
                  <div class="intro-text">
                    Hey, you can take this<br />screen UI, CSS, Swift and <br />Android code for free
                  </div>
                </div>
              </v-col>
              <v-col cols="12" md="6">
                <div class="form-container">
                  <div class="form-header">Bluebaycreaters</div>
                  <h2 class="form-title">Register your account</h2>
                  <v-form>
                    <v-text-field
                      label="Email"
                      v-model="email"
                      :rules="[rules.required, rules.email]"
                      placeholder="Please enter your email"
                      aria-label="Please enter your email"
                      class="form-input"
                    ></v-text-field>
                    <v-text-field
                      label="Password"
                      v-model="password"
                      :rules="[rules.required]"
                      placeholder="Please enter your password"
                      aria-label="Please enter your password"
                      type="password"
                      class="form-input"
                    ></v-text-field>
                    <v-text-field
                      label="Confirm Password"
                      v-model="confirmPassword"
                      :rules="[rules.required, rules.matchPassword]"
                      placeholder="Confirm your password"
                      aria-label="Confirm your password"
                      type="password"
                      class="form-input"
                    ></v-text-field>
                    <div class="form-actions">
                      <span class="form-note">Already Registered?</span>
                      <v-btn color="primary" @click="submitForm" class="form-submit">Submit</v-btn>
                    </div>
                  </v-form>
                  <div class="form-note">Hey!! This design is absolutely free for you.</div>
                </div>
              </v-col>
            </v-row>
          </v-container>
        </section>
      </div>
    </v-main>
  </v-app>
</template>

<script>
export default {
  data() {
    return {
      email: '',
      password: '',
      confirmPassword: '',
      rules: {
        required: (value) => !!value || 'Required.',
        email: (value) => {
          const pattern = /^[^@]+@[^@]+\.[a-zA-Z]{2,}$/
          return pattern.test(value) || 'Invalid e-mail.'
        },
        matchPassword: (value) => value === this.password || 'Passwords do not match.'
      }
    }
  },
  methods: {
    submitForm() {
      if (this.$refs.form.validate()) {
        // Submit logic here
      }
    }
  }
}
</script>

<style scoped>
.main-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1px 0;
}
.intro-section {
  background-color: #fffdfd;
  width: 100%;
  padding: 1px 0;
}
.inner-intro {
  display: flex;
  gap: 20px;
}
.intro-column,
.form-column {
  display: flex;
  flex-direction: column;
  line-height: normal;
  width: 50%;
  margin-left: 0;
}
.intro-content {
  display: flex;
  flex-direction: column;
  overflow: hidden;
  position: relative;
  min-height: 1080px;
  flex-grow: 1;
  font-size: 40px;
  color: #fffdfd;
  font-weight: 700;
  text-align: center;
  justify-content: center;
}
.intro-image {
  position: absolute;
  inset: 0;
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}
.intro-text {
  position: relative;
  font-family: Poppins, sans-serif;
  background-color: rgba(52, 133, 255, 0.3);
  align-items: center;
  justify-content: center;
  padding: 483px 60px 356px;
}
.form-container {
  display: flex;
  flex-direction: column;
  align-items: end;
  margin: auto 0;
  padding: 0 20px;
}
.form-header {
  color: #000;
  font: 400 30px Poppins, sans-serif;
}
.form-title {
  color: #3e4772;
  align-self: stretch;
  margin-top: 44px;
  font: 700 60px Poppins, sans-serif;
}
.form-label {
  color: #000;
  margin-top: 29px;
  font: 400 30px Poppins, sans-serif;
}
.form-input {
  border-radius: 30px;
  background-color: #f1f1f1;
  width: 100%;
  margin-top: 20px;
  color: rgba(0, 0, 0, 0.2);
  padding: 30px 60px;
  font: 400 30px Poppins, sans-serif;
}
.form-actions {
  display: flex;
  margin-top: 66px;
  gap: 20px;
}
.form-note {
  color: #494f7a;
  flex-grow: 1;
  margin: auto 0;
  font: 400 25px Poppins, sans-serif;
  text-align: center;
}
.form-submit {
  border-radius: 30px;
  background-color: #2e375d;
  color: #fff;
  justify-content: center;
  flex-grow: 1;
  width: fit-content;
  padding: 24px 60px;
  font: 700 35px Poppins, sans-serif;
}
</style>